/*
 * Created on 16-Sep-2003
 */
package pong.events;

import appia.AppiaEventException;
import appia.AppiaException;
import appia.Channel;
import appia.Direction;
import appia.Session;
import appia.events.channel.PeriodicTimer;

/**
 * Temporizador Appia que, uma vez inicializado,  gerado periodicamente pelo Appia.
 * Desta forma, a camada que o recebe  invocada periodicamente, permitindo que 
 * se faa mais um movimento da bola.
 * <p>Para inicializar um temporizador Appia como este, apenas  necessrio criar um destes
 * eventos com o event qualifier ON, e envi-lo pelo canal. A partir deste ponto, o Appia comea 
 * a gerar eventos deste tipo periodicamente.</p>
 * @author nuno
 */
public class MoveBallTimer extends PeriodicTimer {

	/**
	 * Construtor do evento periodico.
	 */
	public MoveBallTimer() {
		super();
	}

	/**
	 * Construtor do evento periodico.
	 * @param period periodo do evento (millisegundos).
	 * @param channel Canal Appia.
	 * @param source Sesso que gera o evento.
	 * @param qualifier 
	 * @throws AppiaEventException
	 * @throws AppiaException
	 */
	public MoveBallTimer(
		long period,
		Channel channel,
		Session source,
		int qualifier)
		throws AppiaEventException, AppiaException {
		super("Pong Timer", period, channel, Direction.DOWN, source, qualifier);
	}

}
